Subject: Re: changing path for services on Win2K
From: "Gerrit P. Haase" <[email-masked]>
To: Cygwin Mailinglist <[email-masked]>
Date: Fri, 7 Sep 2001 22:24:56 +0200

Mark Himsley schrieb am 2001-09-07, 12:47:

>Hi,
>
>I don't know if this is just my lack on knowledge on Windows NT platforms,
>but how do I change the value of the PATH environment variable which
>services like inetd, sshd, crond etc... use.
>
>I have altered the system PATH variable in "My computer | Properties |
>Advanced | Environmental Variables" and stopped & restarted those services
>but they don't seem to pick up the change until a reboot occurs.
>
>I suspect its just a Windows thing, but I was wondering if I had missed
>something.
>
>Thanks in advance.

I suggest if you're changing the PATH setting, you need to
	1.  reinstall the service
or
	2. reboot

Other option is to give it as an option to cygrunsrv, so it depends
not on the environment settings.
Useful for setting  CYGWIN=tty binmode ntsec and maybe PATH=/bin:...
if you need some other directories.

$ cygrunsrv --help

Usage: cygrunsrv [OPTION]...
[...]
Miscellaneous install options:
[...]
  -e, --env <VAR=VALUE>     Optional environment strings which are added
                            to the environment when service is started.
                            You can add up to 255 environment strings using
                            the `--env' option.
                            Note: /bin is always added to $PATH to allow all
                            started applications to find at least cygwin1.dll.
[...]

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/